    import {Message} from '@solana/web3'

public class | source

# Message

List of instructions to be processed atomically

## Static Method Summary

Static Public Methods
public static | from(buffer: Buffer | Uint8Array | Array<number>): Message Decode a compiled message into a Message object. |

## Constructor Summary

Public Constructor
public | constructor(args: MessageArgs) |

## Member Summary

Public Members
public | accountKeys: PublicKey[] |
public | header: MessageHeader |
public | instructions: CompiledInstruction[] |
public | recentBlockhash: Blockhash |

## Method Summary

Public Methods
public | isAccountWritable(index: number): boolean |
public | serialize(): Buffer |

## Static Public Methods

### public static from(buffer: Buffer | Uint8Array | Array<number>): Message source

Decode a compiled message into a Message object.

#### Params:

Name | Type | Attribute | Description
buffer | Buffer | Uint8Array | Array<number> |  |

#### Return:

Message

## Public Constructors

### public constructor(args: MessageArgs) source

#### Params:

Name | Type | Attribute | Description
args | MessageArgs |  |

## Public Members

### public accountKeys: PublicKey[] source

### public header: MessageHeader source

### public instructions: CompiledInstruction[] source

### public recentBlockhash: Blockhash source

## Public Methods

### public isAccountWritable(index: number): boolean source

#### Params:

Name | Type | Attribute | Description
index | number |  |

#### Return:

boolean

### public serialize(): Buffer source

#### Return:

Buffer